> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.codecombat.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a classroom

> Creates a new empty `Classroom`.



## OpenAPI

````yaml POST /classrooms
openapi: 3.0.1
info:
  title: CodeCombat API
  version: 0.0.1
servers:
  - url: https://codecombat.com/api
    description: default
security: []
paths:
  /classrooms:
    post:
      tags:
        - Classrooms
      summary: Create a classroom
      description: Creates a new empty `Classroom`.
      operationId: classrooms_create
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  description: Name of the classroom
                ownerID:
                  $ref: '#/components/schemas/objectIdString'
                aceConfig:
                  $ref: '#/components/schemas/ClassroomsCreateRequestAceConfig'
              required:
                - name
                - ownerID
                - aceConfig
      responses:
        '200':
          description: The created classroom
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClassroomResponseWithCode'
      security:
        - BasicAuth: []
components:
  schemas:
    objectIdString:
      title: objectIdString
      type: string
    ClassroomsCreateRequestAceConfig:
      title: ClassroomsCreateRequestAceConfig
      type: object
      properties:
        language:
          type: string
          nullable: true
          description: Programming language for the classroom
    ClassroomResponseWithCode:
      title: ClassroomResponseWithCode
      type: object
      description: Subset of properties listed here
      properties:
        _id:
          $ref: '#/components/schemas/objectIdString'
          nullable: true
        name:
          type: string
          nullable: true
        members:
          type: array
          items:
            $ref: '#/components/schemas/objectIdString'
          nullable: true
        ownerID:
          $ref: '#/components/schemas/objectIdString'
          nullable: true
        description:
          type: string
          nullable: true
        code:
          type: string
          nullable: true
        codeCamel:
          type: string
          nullable: true
        courses:
          type: array
          items:
            $ref: '#/components/schemas/ClassroomResponseWithCodeCoursesItem'
          nullable: true
        clanId:
          $ref: '#/components/schemas/objectIdString'
          nullable: true
    ClassroomResponseWithCodeCoursesItem:
      title: ClassroomResponseWithCodeCoursesItem
      type: object
      properties:
        _id:
          $ref: '#/components/schemas/objectIdString'
          nullable: true
        levels:
          type: array
          items:
            type: object
            additionalProperties: true
          nullable: true
        enrolled:
          type: array
          items:
            $ref: '#/components/schemas/objectIdString'
          nullable: true
        instance_id:
          $ref: '#/components/schemas/objectIdString'
          nullable: true
  securitySchemes:
    BasicAuth:
      type: http
      scheme: basic

````